%define anolis_release 1
Name:		perl-B-Hooks-EndOfScope
Version:	0.26
Release:	%{anolis_release}%{?dist}
License:	GPL+ or Artistic
Summary:	Execute code after scope compilation finishes
URL:		https://metacpan.org/release/B-Hooks-EndOfScope
Source0:	https://cpan.metacpan.org/modules/by-module/B/B-Hooks-EndOfScope-%{version}.tar.gz
Patch0:		B-Hooks-EndOfScope-0.13-shellbangs.patch
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
BuildRequires:	perl(Text::ParseWords)
# Dependencies of bundled ExtUtils::HasCompiler
BuildRequires:	perl(base)
BuildRequires:	perl(Config)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp)
# Common Module Requirements
BuildRequires:	perl(Module::Implementation) >= 0.05
BuildRequires:	perl(Sub::Exporter::Progressive) >= 0.001006
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# PP Implementation Only
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Hash::Util::FieldHash)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Tie::Hash)
BuildRequires:	perl(Tie::StdHash)
# XS Implementation Only
BuildRequires:	perl(Variable::Magic) >= 0.48
# Test suite
BuildRequires:	perl(Config)
BuildRequires:	perl(Devel::Hide) >= 0.0007
BuildRequires:	perl(File::Glob)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IPC::Open2)
BuildRequires:	perl(Test::More) >= 0.88
# Optional Tests
# Runtime

%description
This module allows you to execute code when Perl has finished compiling the
surrounding scope.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p0 -n B-Hooks-EndOfScope-%{version}

# British-English spelling LICENCE upsets US spell checker
echo LICENCE >> xt/author/pod-spell.t

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc t/
%{perl_vendorlib}/B/
%{_mandir}/man3/B::Hooks::EndOfScope.3*
%{_mandir}/man3/B::Hooks::EndOfScope::PP.3*
%{_mandir}/man3/B::Hooks::EndOfScope::XS.3*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.26-1
- Import package for anolis 23
